<td valign="top">
						<div class="r_block">

					<center>	<h1>Пополнение баланса через Payeer</h1>
<div class="silver-bk">
<p></p>

<table border="0" width="100%" cellspacing="5" cellpadding="5">
	<tbody><tr>
		<td align="center">
		<img border="0" src="/images/logo.png"></td>
	</tr>

</tbody></table>
Курс игровой валюты: 1 рубль (Руб.) = 100 золота
<p>Оплата и зачисление золота на баланс производится в автоматическом режиме.</p>
<p style="padding: 10px 0px 6px;border-bottom: 1px dashed rgb(245, 210, 146);">Введите сумму в рублях, которую вы хотите пополнить на баланс. <BR />
После пополнения вам будет зачислено золото.<br /></p>
  
  <?PHP
$_OPTIMIZATION["title"] = "Аккаунт - Пополнение баланса";
$usid = $_SESSION["user_id"];
$usname = $_SESSION["user"];

$db->Query("SELECT * FROM db_config WHERE id = '1' LIMIT 1");
$sonfig_site = $db->FetchArray();

/*
if($_SESSION["user_id"] != 1){
echo "<center><b><font color = red>Технические работы</font></b></center>";
return;
}
*/
?>

<div class="silver-bk">

<?
/// db_payeer_insert
if(isset($_POST["sum"])){

$sum = round(floatval($_POST["sum"]),2);


# Заносим в БД
$db->Query("INSERT INTO db_payeer_insert (user_id, user, sum, date_add) VALUES ('".$_SESSION["user_id"]."','".$_SESSION["user"]."','$sum','".time()."')");

$desc = base64_encode($_SERVER["HTTP_HOST"]." - USER ".$_SESSION["user"]);
$m_shop = $config->shopID;
$m_orderid = $db->LastInsert();
$m_amount = number_format($sum, 2, ".", "");
$m_curr = "RUB";
$m_desc = $desc;
$m_key = $config->secretW;

$arHash = array(
 $m_shop,
 $m_orderid,
 $m_amount,
 $m_curr,
 $m_desc,
 $m_key
);
$sign = strtoupper(hash('sha256', implode(":", $arHash)));

?>
<center>
<form method="GET" action="//payeer.com/api/merchant/m.php">
	<input type="hidden" name="m_shop" value="<?=$config->shopID; ?>">
	<input type="hidden" name="m_orderid" value="<?=$m_orderid; ?>">
	<input type="hidden" name="m_amount" value="<?=number_format($sum, 2, ".", "")?>">
	<input type="hidden" name="m_curr" value="RUB">
	<input type="hidden" name="m_desc" value="<?=$desc; ?>">
	<input type="hidden" name="m_sign" value="<?=$sign; ?>">
	<input type="submit" name="m_process" value="Оплатить и получить золото" />
</form>
</center>
<div class="clr"></div>		
</div>
<?PHP

return;
}
?>
<script type="text/javascript">
var min = 0.01;
var ser_pr = 100;
function calculate(st_q) {
    
	var sum_insert = parseFloat(st_q);
	$('#res_sum').html( (sum_insert * ser_pr).toFixed(0) );
	
	
}
	
</script>

<div id="error3"></div>
<form method="POST" action="">
    <input type="hidden" name="m" value="<?=$fk_merchant_id?>">
<p style="padding: 10px 0px 6px;">Введите сумму [Руб.]:</p>
	<input class="colz" style="border-radius: 5px; font-size:17px;" type="text" value="100" name="sum" size="7" id="psevdo" onchange="calculate(this.value)" onkeyup="calculate(this.value)" onfocusout="calculate(this.value)" onactivate="calculate(this.value)" ondeactivate="calculate(this.value)">



   <p style="padding: 6px 0px 6px;border-bottom: 1px dashed rgb(245, 210, 146);"> Вы получите: <span style="color:#E6CB3C;" id="res_sum">10000</span> золота  </p>
	<BR /><BR />
    <input type="submit" id="submit" value="Пополнить баланс" ></center>
</form>
<script type="text/javascript">
calculate(100);
</script>
<center>

<BR />

</center>
<BR /><BR />

<div class="clr"></div>		
</div>
